routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| This file is where you may define all of the routes that are handled
| by your application. Just tell Laravel the URIs it should respond
| to using a Closure or controller method. Build something great!
|
*/

Auth::routes();

Route::get('/logout', 'Auth\LoginController@logout');
Route::get('/', function () { return redirect('portal'); });

/******************************************************************************************************************
//ROTAS RESPONSÁVEIS PELA AUTENTICAÇÃO, REGISTRO E SENHA
*******************************************************************************************************************/
//Authentication Routes...
Route::get('login', ['as' => 'auth.login', 'uses' => 'Auth\LoginController@showLoginForm']);
Route::post('login', ['as' => 'auth.login', 'uses' => 'Auth\LoginController@login'])->middleware('prelogin.ldap');
Route::get('logout', ['as' => 'auth.logout', 'uses' => 'Auth\LoginController@logout']);

//Password Reset Routes...
Route::get('password/reset/{token?}', ['as' => 'auth.password.reset', 'uses' => 'Auth\ForgotPasswordController@showResetForm']);
Route::post('password/email', ['as' => 'auth.password.email',  'uses' => 'Auth\ForgotPasswordController@sendResetLinkEmail']);
Route::post('password/reset', ['as' => 'auth.password.reset', 'uses' => 'Auth\ResetPasswordController@reset']);
/******************************************************************************************************************/

Route::group(['prefix' => 'portal', 'as' => 'portal.', 'middleware' => ['web','auth']], function () 
{

	//Início
	Route::get('/', 'HomeController@index');
    Route::get('inicio',['as' => 'inicio', 'uses' => 'HomeController@index']);

	//Profile
    Route::get('profile',['as' => 'profile.index', 'uses' => 'ProfileController@index']);
    Route::get('profile/dados/{cpf}',['as' => 'profile.dados', 'uses' => 'ProfileController@findDadosServidorWsByCPF']);
    Route::post('profile/photo',['as' => 'profile.photo', 'uses' => 'ProfileController@updatePhoto']);
    
    //Calendário
    Route::get('home/calendario/{page}/{id?}', ['as' => 'home.calendario', 'uses' => 'HomeController@findDadosCalendarioById']);

    //Municipios
    Route::get('municipios/lista/{uf}', ['as' => 'municipios.lista', 'uses' => 'MunicipioController@listMunicipiosByUf']);
    
});

resources/views/layouts/parts/_breadcrumbs-spoa.blade.php
<div class="breadcrumbs" id="breadcrumbs" style="padding-top: 45px;">
	<ul class="breadcrumb">
		
		@yield('breadcrumbs-page')
		
	</ul><!-- /.breadcrumb -->
</div>

resources/views/layouts/parts/_breadcrumbs.blade.php
@if ($breadcrumbs)
    <ol class="breadcrumb">
        @foreach ($breadcrumbs as $breadcrumb)
        	@if($breadcrumb->first)
        		<li>
        			<i class="ace-icon fa fa-home home-icon"></i>
        			<a href="{{ $breadcrumb->url }}">{{ $breadcrumb->title }}</a>
        		</li>
            @elseif (!$breadcrumb->last)
                <li><a href="{{ $breadcrumb->url }}">{{ $breadcrumb->title }}</a></li>
            @else
                <li class="active">{{ $breadcrumb->title }}</li>
            @endif
        @endforeach
    </ol>
@endif

resources/views/layouts/parts/_ga.blade.php
@if (config("analytics.google-analytics") && config("analytics.google-analytics") != "UA-XXXXX-X")
    {{-- Google Analytics: change UA-XXXXX-X to be your site's ID. --}}
    <script>
        (function(b,o,i,l,e,r){b.GoogleAnalyticsObject=l;b[l]||(b[l]=
                function(){(b[l].q=b[l].q||[]).push(arguments)});b[l].l=+new Date;
            e=o.createElement(i);r=o.getElementsByTagName(i)[0];
            e.src='//www.google-analytics.com/analytics.js';
            r.parentNode.insertBefore(e,r)}(window,document,'script','ga'));
        ga('create','{{ config("analytics.google-analytics") }}','none');ga('send','pageview');
    </script>
@endif

resources/views/layouts/parts/_menu-spoa-items.blade.php
 @foreach($items as $item)

  @if($item->hasChildren())  
    <li class="">
      <a class="dropdown-toggle" href="#">
  
  @else
    <li class="">
      <a href="{!! $item->url() !!}">
        
  @endif

  @if($item->icon)
  <i class="{!! $item->icon!!}"></i>
  @else
  <i class="menu-icon fa fa-caret-right"></i>
  @endif

  <span class="menu-text">{!! $item->title !!}</span>

  @if($item->hasChildren())
  <b class="arrow fa fa-angle-down"></b>
  @endif

</a>

<b class="arrow"></b>

@if($item->hasChildren())
<ul class="submenu">
  @include('layouts.parts._menu-spoa-items', array('items' => $item->children()))
</ul>     
@endif

</li>

@endforeach

resources/views/layouts/parts/_menu-spoa.blade.php
<div id="sidebar" class="sidebar responsive fixed" style="padding-top: 45px;">
	
	<ul class="nav nav-list">
		@if(!empty($MenuSistema))
			@include('layouts.parts._menu-spoa-items', array('items' => $MenuSistema->roots()))
		@endif
	</ul>	
	
	<div class="sidebar-toggle sidebar-collapse" id="sidebar-collapse">
		<i class="ace-icon fa fa-angle-double-left" data-icon1="ace-icon fa fa-angle-double-left" data-icon2="ace-icon fa fa-angle-double-right"></i>
	</div>
</div>

resources/views/layouts/parts/_navbar-acesso-portal.blade.php
<li class="transparent">
    <a href="{{route('portal.')}}" data-rel="tooltip" data-placement="bottom" data-original-title="Portal de Sistemas">
        <i class="ace-icon fa fa-home"></i>
    </a>
</li>

resources/views/layouts/parts/_navbar-ajuda.blade.php
<?php $helper = app('App\Helpers\UtilHelper'); ?>
<li class="transparent">
    <a href="{{route('sishelp::ajuda_sistema.index',['sistema'=> $helper->getSistema()])}}" data-rel="tooltip" data-placement="bottom" data-original-title="Ajuda" target="_blank">
        <i class="ace-icon fa fa-question"></i>
    </a>
</li>

resources/views/layouts/parts/_navbar-avisos-sistemas-geral.blade.php
<?php 

$helper = app('App\Helpers\UtilHelper'); 
\Carbon\Carbon::setLocale('pt_BR'); 

?>

@php 
$avisos = @cache('menu-avisos-sistemas-geral');
$qtdAvisos = @cache('qtd-avisos-sistemas-geral');
@endphp
<li class="transparent">
    <a data-toggle="dropdown" class="dropdown-toggle" href="#" data-rel="tooltip" data-placement="bottom" data-original-title="Avisos do Sistema">
        <i class="ace-icon fa fa-bell"></i><span class="badge badge-danger">{{ $qtdAvisos > 0 ? $qtdAvisos : '' }}</span>
    </a>

    <div class="dropdown-menu-right dropdown-navbar dropdown-menu dropdown-caret dropdown-close">
        <div class="tabbable">
            <ul class="nav nav-tabs">
                <li class="active">
                    <a data-toggle="tab" href="#navbar-messages">
                        Notificações
                        <span class="badge badge-danger">{{ $qtdAvisos > 0 ? $qtdAvisos : '' }}</span>
                    </a>
                </li>
            </ul><!-- .nav-tabs -->

            <div class="tab-content">
                <div id="navbar-messages" class="tab-pane active">
                    <ul class="dropdown-menu-right dropdown-navbar dropdown-menu">
                        <li class="dropdown-content">
                            <ul class="dropdown-menu dropdown-navbar">
                                @if($avisos)
                                    @foreach($avisos as $aviso)
                                    <li>
                                        <a href="#">
                                            <span class="msg-body">
                                                <span class="msg-title">                                            
                                                    @if(isset ($aviso->no_sistema))
                                                       <i>{{ Html::image('icones/icone_' . $aviso->no_sistema . '.png', $aviso->no_sistema,array( 'width' => 20, 'height' => 20 )) }}</i>
                                                    @endif
                                                    <span class="blue">{{ $aviso->no_tipo_aviso_sistema }}:</span>
                                                    {{ $aviso->tx_aviso_sistema }}
                                                </span>

                                                <span class="msg-time">
                                                    <i class="ace-icon fa fa-clock-o"></i>
                                                    <span>{{ Carbon\Carbon::parse($aviso->created_at)->diffForHumans() }}</span>
                                                </span>
                                            </span>
                                        </a>                                  
                                    </li>
                                    @endforeach
                                @endif
                                <li class="dropdown-footer">
                                    <a href="{{route('sisadm::aviso_geral.indexGeral')}}">
                                        Ver todas
                                        <i class="ace-icon fa fa-arrow-right"></i>
                                    </a>
                                </li>
                            </ul>
                        </div><!-- /.tab-pane -->
                    </div><!-- /.tab-content -->
                </div><!-- /.tabbable -->
            </div><!-- /.dropdown-menu -->
        </li>

resources/views/layouts/parts/_navbar-avisos-usuarios-geral.blade.php
<?php 

$helper = app('App\Helpers\UtilHelper'); 
\Carbon\Carbon::setLocale('pt_BR'); 

?>
@php 
$avisos = @cache('menu-avisos-usuarios-geral-'. $helper->getUsername());
$qtdAvisos = @cache('qtd-avisos-usuarios-geral-'. $helper->getUsername());
@endphp
<li class="transparent">
    <a data-toggle="dropdown" class="dropdown-toggle" href="#" data-rel="tooltip" data-placement="bottom" data-original-title="Avisos para o Usuário">
        <i class="ace-icon fa fa-envelope"></i><span class="badge badge-danger">{{ $qtdAvisos > 0 ? $qtdAvisos : '' }}</span>
    </a>

    <div class="dropdown-menu-right dropdown-navbar dropdown-menu dropdown-caret dropdown-close">
        <div class="tabbable">
            <ul class="nav nav-tabs">
                <li class="active">
                    <a data-toggle="tab" href="#navbar-messages">
                        Mensagens
                        <span class="badge badge-danger">{{ $qtdAvisos > 0 ? $qtdAvisos : '' }}</span>
                    </a>
                </li>
            </ul><!-- .nav-tabs -->

            <div class="tab-content">
                <div id="navbar-messages" class="tab-pane active">
                    <ul class="dropdown-menu-right dropdown-navbar dropdown-menu">
                        <li class="dropdown-content">
                            <ul class="dropdown-menu dropdown-navbar">
                                @if($avisos)
                                    @foreach($avisos as $aviso)
                                    <li>
                                        <a href="#">
                                            <span class="msg-body">
                                                <span class="msg-title">
                                                    @if(isset ($aviso->no_sistema))
                                                       <i>{{ Html::image('icones/icone_' . $aviso->no_sistema . '.png', $aviso->no_sistema,array( 'width' => 20, 'height' => 20 )) }}</i>
                                                    @endif                                        
                                                    <span class="blue">{{ $aviso->no_tipo_aviso_usuario }}:</span>
                                                    {{ $aviso->tx_aviso_usuario }}
                                                </span>

                                                <span class="msg-time">
                                                    <i class="ace-icon fa fa-clock-o"></i>
                                                    <span>{{ Carbon\Carbon::parse($aviso->created_at)->diffForHumans() }}</span>
                                                </span>
                                            </span>
                                        </a>                                  
                                    </li>
                                    @endforeach
                                @endif
                                <li class="dropdown-footer">
                                    <a href="{{route('sisadm::aviso_geral.indexGeral')}}">
                                        Ver todas
                                        <i class="ace-icon fa fa-arrow-right"></i>
                                    </a>
                                </li>
                            </ul>
                        </div><!-- /.tab-pane -->
                    </div><!-- /.tab-content -->
                </div><!-- /.tabbable -->
            </div><!-- /.dropdown-menu -->
        </li>

resources/views/layouts/parts/_navbar-avisos-usuarios.blade.php
<?php 

$helper = app('App\Helpers\UtilHelper'); 
\Carbon\Carbon::setLocale('pt_BR'); 

?>

@php 
$avisos = @cache('menu-avisos-usuarios-' . $helper->getSistema() . '-' . $helper->getUsername());
$qtdAvisos = @cache('qtd-avisos-usuarios-'  . $helper->getSistema() . '-' . $helper->getUsername());
@endphp
<li class="transparent">
    <a data-toggle="dropdown" class="dropdown-toggle" href="#" data-rel="tooltip" data-placement="bottom" data-original-title="Avisos para o Usuário">
        <i class="ace-icon fa fa-envelope"></i><span class="badge badge-danger">{{ $qtdAvisos > 0 ? $qtdAvisos : '' }}</span>
    </a>

    <div class="dropdown-menu-right dropdown-navbar dropdown-menu dropdown-caret dropdown-close">
        <div class="tabbable">
            <ul class="nav nav-tabs">
                <li class="active">
                    <a data-toggle="tab" href="#navbar-messages">
                        Mensagens
                        <span class="badge badge-danger">{{ $qtdAvisos > 0 ? $qtdAvisos : '' }}</span>
                    </a>
                </li>
            </ul><!-- .nav-tabs -->

            <div class="tab-content">
                <div id="navbar-messages" class="tab-pane active">
                    <ul class="dropdown-menu-right dropdown-navbar dropdown-menu">
                        <li class="dropdown-content">
                            <ul class="dropdown-menu dropdown-navbar">
                                @if($avisos)
                                    @foreach($avisos as $aviso)
                                    <li>
                                        <a href="#">
                                            <span class="msg-body">
                                                <span class="msg-title">
                                                    @if(isset ($aviso->no_sistema))
                                                       <i>{{ Html::image('icones/icone_' . $aviso->no_sistema . '.png', $aviso->no_sistema,array( 'width' => 20, 'height' => 20 )) }}</i>
                                                    @endif                                        
                                                    <span class="blue">{{ $aviso->no_tipo_aviso_usuario }}:</span>
                                                    {{ $aviso->tx_aviso_usuario }}
                                                </span>

                                                <span class="msg-time">
                                                    <i class="ace-icon fa fa-clock-o"></i>
                                                    <span>{{ Carbon\Carbon::parse($aviso->created_at)->diffForHumans() }}</span>
                                                </span>
                                            </span>
                                        </a>                                  
                                    </li>
                                    @endforeach
                                @endif
                                <li class="dropdown-footer">
                                    <a href="{{route('sisadm::aviso_geral.index',['sistema'=> $helper->getSistema()])}}" target="_blank">
                                        Ver todas
                                        <i class="ace-icon fa fa-arrow-right"></i>
                                    </a>
                                </li>
                            </ul>
                        </div><!-- /.tab-pane -->
                    </div><!-- /.tab-content -->
                </div><!-- /.tabbable -->
            </div><!-- /.dropdown-menu -->
        </li>

resources/views/layouts/parts/_navbar-sistemas-spoa.blade.php
<?php $helper = app('App\Helpers\UtilHelper'); ?>
<li class="transparent">

	<a data-toggle="dropdown" class="dropdown-toggle" href="#" data-rel="tooltip" data-placement="bottom" data-original-title="Sistemas">
		<i class="ace-icon fa fa-tasks"></i><span class="badge badge-danger"></span>
	</a>
		
	<div class="dropdown-menu-right dropdown-navbar dropdown-menu dropdown-caret dropdown-close">

		<div class="tabbable">
			
			<ul class="nav nav-tabs">
				<li class="active">
					<a data-toggle="tab" href="#navbar-messages">
						Sistemas
						<span class="badge badge-danger"></span>
					</a>
				</li>
			</ul><!-- .nav-tabs -->

			<div class="tab-content">
				<div id="navbar-messages" class="tab-pane active">
					<ul class="dropdown-menu-right dropdown-navbar dropdown-menu">
						<li class="dropdown-content">
							<ul class="dropdown-menu dropdown-navbar">

								@php 
									
									$username = $helper->getUsername();
									$sistemas = @cache('menu-sistemas-'.$username);

								@endphp

								@if ($sistemas)
										
									@foreach($sistemas as $sistema)
								    
										<li>
											<a href="{{ url('/' . $helper->getSistemaModulo($sistema->no_sistema) ) }}">
													<span class="msg-title">
														<i>{{ Html::image('icones/icone_' . $sistema->no_sistema . '.png', $sistema->no_sistema,array( 'width' => 20, 'height' => 20 )) }}</i>
														<span style = 'vertical-align: middle' class="blue">{{ $sistema->no_sistema }}</span>
													</span>
												</span>
											</a>
										</li>

								    @endforeach

								@endif

							</ul>
						</li>
					</ul>
				</div><!-- /.tab-pane -->
			</div><!-- /.tab-content -->
		
		</div><!-- /.tabbable -->
		
	</div><!-- /.dropdown-menu -->

</li>

resources/views/layouts/parts/_navbar-spoa.blade.php
<?php $helper = app('App\Helpers\UtilHelper'); ?>

<div id="navbar" class="navbar navbar-default navbar-collapse navbar-fixed-top">
	<div class="navbar-container" id="navbar-container">
		<button type="button" class="navbar-toggle menu-toggler pull-left" id="menu-toggler" data-target="#sidebar">
			<span class="sr-only">Toggle sidebar</span>

			<span class="icon-bar"></span>

			<span class="icon-bar"></span>

			<span class="icon-bar"></span>
		</button>

		<div class="navbar-header pull-left">
			<!-- <a id="inicio_link" href="{{route('portal.inicio')}}" class="navbar-brand">
				<small>
					<img src="{{ URL::asset('assets/img/logo.png') }}" height="25">
					| @yield('nome_sistema')
				</small>
			</a> -->
			<a id="inicio_link" href="{{url($helper->getSistemaRoute())}}" class="navbar-brand">
				<small>
					{{Html::image('icones/thumbnail_'.$helper->getSistema().'.png',$helper->getSistema(),array('height' => 25, 'style' => 'padding-right:10px'))}}
					 @yield('nome_sistema') 
				</small>
			</a>

			<button class="pull-right navbar-toggle navbar-toggle-img collapsed" type="button" data-toggle="collapse" data-target=".navbar-buttons">
				<span class="sr-only">Toggle user menu</span>

				<!--<img src="{{ URL::asset('assets/avatars/default.png') }}" alt="Jason's Photo" />-->

				<!--Gravatar -->
				@include('layouts.parts._gravatar', ['user' => Auth::user()])

			</button>
		</div>
		
		@if (!Auth::guest())

				@if(Auth::user()->sn_externo)
						<div class="navbar-buttons navbar-header pull-right  collapse navbar-collapse" role="navigation">
							<ul class="nav ace-nav">
								<li>
									<a href="{{ url('/logout') }}"
									onclick="event.preventDefault();
									document.getElementById('logout-form').submit();">
									<i class="ace-icon fa fa-power-off"></i>
									Sair
								</a>

								<form id="logout-form" action="{{ url('/logout') }}" method="POST" style="display: none;">
									{{ csrf_field() }}
								</form>
		                         </li>
							</ul>
						</div>

				@else

				<div class="navbar-buttons navbar-header pull-right  collapse navbar-collapse" role="navigation">
					<ul class="nav ace-nav">

						<!-- Esses estão presentes apenas nos sistemas -->
						@yield('acesso_portal')

						@yield('ajuda_sistema')

						@yield('lista_sistemas')

						@yield('aviso_sistema')

						@yield('aviso_usuario')				

						<li class="transparent">
							<a data-toggle="dropdown" href="#" class="dropdown-toggle">

								<!--<img class="nav-user-photo" src="{{ URL::asset('assets/avatars/default.png') }}" alt="Jason's Photo" />-->

								<!--Gravatar -->
								@include('layouts.parts._gravatar', ['user' => Auth::user()])
						
								<span class="user-info">
									<small>Olá,</small>
									{{ Auth::user()->no_usuario }}
								</span>

								<i class="ace-icon fa fa-caret-down"></i>
							</a>

							<ul class="user-menu dropdown-menu-right dropdown-menu dropdown-yellow dropdown-caret dropdown-close">
								<li>
									<a id="profile_link" href="{{ url('portal/profile') }}">
										<i class="ace-icon fa fa-user"></i>
										Visualizar meus dados
									</a>
								</li>

								<li class="divider"></li>

								<li>
                                    <a href="{{ url('/logout') }}"
                                        onclick="event.preventDefault();
                                                 document.getElementById('logout-form').submit();">
                                        <i class="ace-icon fa fa-power-off"></i>
                                        Sair
                                    </a>

                                    <form id="logout-form" action="{{ url('/logout') }}" method="POST" style="display: none;">
                                        {{ csrf_field() }}
                                    </form>
                                </li>

							</ul>
						</li>
					</ul>
					
				</div>

				@endif

			</div><!-- /.navbar-container -->
		</div>
		
		@endif

	</div>
</div>		
		

resources/views/layouts/parts/script-tabela-dinamica.blade.php
<script src="{{ URL::asset('assets/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ URL::asset('assets/js/jquery.dataTables.bootstrap.min.js') }}"></script>
<script src="{{ URL::asset('assets/js/dataTables.tableTools.min.js') }}"></script>

<script type="text/javascript">
    jQuery(function($) {                
        //inicializa dataTables
        var oTable1 = $('#dynamic-table')
            .dataTable({
                bAutoWidth: false,
                "aoColumns": [
                  { "bSortable": false },
                  null, null,null, 
                  { "bSortable": false }
                ],
                "aaSorting": []
            });
    
        //inicializa TableTools
        var tableTools_obj = new $.fn.dataTable.TableTools( oTable1, {                  
            "sRowSelector": "td:not(:last-child)",
            "sRowSelect": "multi",
            "fnRowSelected": function(row) {
                //check checkbox when row is selected
                try { $(row).find('input[type=checkbox]').get(0).checked = true }
                catch(e) {}
            },
            "fnRowDeselected": function(row) {
                //uncheck checkbox
                try { $(row).find('input[type=checkbox]').get(0).checked = false }
                catch(e) {}
            },
            "sSelectedClass": "success",
        } );
        
        //controla opcoes de marcar/desmarcar todas as linhas da tabela
        $('th input[type=checkbox], td input[type=checkbox]').prop('checked', false);
        $('#dynamic-table > thead > tr > th input[type=checkbox]').eq(0).on('click', function(){
            var th_checked = this.checked;  
            $(this).closest('table').find('tbody > tr').each(function() {
                var row = this;
                if(th_checked) tableTools_obj.fnSelect(row);
                else tableTools_obj.fnDeselect(row);
            });
        });
        $('#dynamic-table').on('click', 'td input[type=checkbox]' , function(){
            var row = $(this).closest('tr').get(0);
            if(!this.checked) tableTools_obj.fnSelect(row);
            else tableTools_obj.fnDeselect($(this).closest('tr').get(0));
        });
    });
</script>

resources/views/layouts/parts/scripts.blade.php
<!-- Scripts Placed at the end of the document so the pages load faster -->
<!--================================================== -->
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script type="text/javascript" src="{{ asset('js/all.js') }}"></script>

<script>window.Modernizr || document.write('<script src="{{ asset('js/modernizr-2.6.2.min.js') }}">\x3C/script<\/script>');</script>